Skip to main content
GET
Get the swap contract's output token metadata

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization and token endpoints

Query Parameters

contract_address
string
required

The swap contract address

Example:

"0x742d35cc6634c0532925a3b844bc9e7595f0beb1"

chain
string
required

The EVM chain to read from, e.g. ethereum_mainnet, ethereum_sepolia, base_mainnet or base_sepolia

Example:

"ethereum_sepolia"

Response

Successful response.

ERC-20 metadata of a swap contract's output token.

decimals
integer
required

ERC-20 token decimals

Example:

6

name
string
required

ERC-20 token name

Example:

"USD Coin"

object
enum<string>
required

String representing the object's type. Objects of the same type share the same value.

Available options:
swap_output_token
symbol
string
required

ERC-20 token symbol

Example:

"USDC"